package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag787;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT787Creator;


public class Tag20Creator extends AbsTagCreate {
    private MT787Creator mt787Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt787Creator= (MT787Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt787Creator.getTransactionReferenceNumber();
        mt787Creator.set("20", tag20Value);
    }
}
